* Pascal compiler intermediate assembly program.


	XREF	_Input
	XREF	_Output
	XREF	_p%WriteInt
	XREF	_p%WriteReal
	XREF	_p%WriteChar
	XREF	_p%WriteBool
	XREF	_p%WriteCharray
	XREF	_p%WriteString
	XREF	_p%WriteLn
	XREF	_p%ReadInt
	XREF	_p%ReadReal
	XREF	_p%ReadCharray
	XREF	_p%ReadChar
	XREF	_p%ReadString
	XREF	_p%ReadLn
	XREF	_p%ReadArb
	XREF	_p%FilePtr
	XREF	_p%Get
	XREF	_p%Put
	XREF	_p%dispose
	XREF	_p%new
	XREF	_p%Open
	XREF	_p%OpenB
	XREF	_p%WriteArb
	XREF	_p%Close
	XREF	_p%exit
	XREF	_p%lmul
	XREF	_p%ldiv
	XREF	_p%lrem
	XREF	_p%MathBase
	XREF	_p%sin
	XREF	_p%cos
	XREF	_p%sqrt
	XREF	_p%tan
	XREF	_p%atn
	XREF	_p%ln
	XREF	_p%exp
	XREF	_p%CheckIO
	XREF	_p%CheckRange

	SECTION	PCQ_CODE,CODE
	CNOP	0,2

	XDEF	_rtAllocRequestA
_rtAllocRequestA
 move.l    a6,-(sp)
    lea       $8(sp),a6
    move.l    (a6)+,a0
    move.l    (a6)+,d0
    move.l    _RTBase,a6
    jsr       -$1E(a6)
    move.l    d0,$10(sp)
    move.l    (sp)+,a6
	rts
	CNOP	0,2

	XDEF	_rtFreeRequest
_rtFreeRequest
 move.l    a6,-(sp)
    move.l    $8(sp),a1
    move.l    _RTBase,a6
    jsr       -$24(a6)
    move.l    d0,$C(sp)
    move.l    (sp)+,a6
	rts
	CNOP	0,2

	XDEF	_rtFreeReqBuffer
_rtFreeReqBuffer
 move.l    a6,-(sp)
    move.l    $8(sp),a1
    move.l    _RTBase,a6
    jsr       -$2A(a6)
    move.l    d0,$C(sp)
    move.l    (sp)+,a6
	rts
	CNOP	0,2

	XDEF	_rtChangeReqAttrA
_rtChangeReqAttrA
 move.l    a6,-(sp)
    movem.l    $8(sp),a0-a1
    move.l    _RTBase,a6
    jsr       -$30(a6)
    move.l    d0,$10(sp)
    move.l    (sp)+,a6
	rts
	CNOP	0,2

	XDEF	_rtFileRequestA
_rtFileRequestA
 movem.l    a2-a3/a6,-(sp)
    lea    $10(sp),a6
    move.l    (a6)+,a0
    move.l    (a6)+,a3
    move.l    (a6)+,a2
    move.l    (a6)+,a1
    move.l    _RTBase,a6
    jsr    -$36(a6)
    move.l    d0,$20(sp)
    movem.l    (sp)+,a2-a3/a6
	rts
	CNOP	0,2

	XDEF	_rtFreeFileList
_rtFreeFileList
 move.l    a6,-(sp)
    move.l    $8(sp),a0
    move.l    _RTBase,a6
    jsr    -$3C(a6)
    move.l    d0,$C(sp)
    move.l    (sp)+,a6 
	rts
	CNOP	0,2

	XDEF	_rtEZRequestA
_rtEZRequestA
 movem.l    a2-a4/a6,-(sp)
    lea    $14(sp),a6
    move.l    (a6)+,a0
    move.l    (a6)+,a4
    move.l    (a6)+,a3
    move.l    (a6)+,a2
    move.l    (a6)+,a1
    move.l    _RTBase,a6
    jsr    -$42(a6)
    move.l    d0,$28(sp)
    movem.l    (sp)+,a2-a4/a6
	rts
	CNOP	0,2

	XDEF	_rtGetStringA
_rtGetStringA
 movem.l    a2-a3/a6,-(sp)
    lea    $10(sp),a6
    move.l    (a6)+,a0
    move.l    (a6)+,a3
    move.l    (a6)+,a2
    move.l    (a6)+,d0
    move.l    (a6)+,a1
    move.l    _RTBase,a6
    jsr    -$48(a6)
    move.l    d0,$24(sp)
    movem.l    (sp)+,a2-a3/a6
	rts
	CNOP	0,2

	XDEF	_rtGetLongA
_rtGetLongA
 movem.l    a2-a3/a6,-(sp)
    lea    $10(sp),a6
    move.l    (a6)+,a0
    move.l    (a6)+,a3
    move.l    (a6)+,a2
    move.l    (a6)+,a1
    move.l    _RTBase,a6
    jsr    -$4E(a6)
    move.l    d0,$20(sp)
    movem.l    (sp)+,a2-a3/a6
	rts
	CNOP	0,2

	XDEF	_rtFontRequestA
_rtFontRequestA
 movem.l    a3/a6,-(sp)
    lea    $C(sp),a6
    move.l    (a6)+,a0
    move.l    (a6)+,a3
    move.l    (a6)+,a1
    move.l    _RTBase,a6
    jsr    -$60(a6)
    move.l    d0,$18(sp)
    movem.l    (sp)+,a3/a6
	rts
	CNOP	0,2

	XDEF	_rtPaletteRequestA
_rtPaletteRequestA
 movem.l    a2-a3/a6,-(sp)
    lea    $10(sp),a6
    move.l    (a6)+,a0
    move.l    (a6)+,a3
    move.l    (a6)+,a2
    move.l    _RTBase,a6
    jsr    -$66(a6)
    move.l    d0,$1C(sp)
    movem.l    (sp)+,a2-a3/a6
	rts
	CNOP	0,2

	XDEF	_rtReqHandlerA
_rtReqHandlerA
 move.l    a6,-(sp)
    lea    $8(sp),a6
    move.l    (a6)+,a0
    move.l    (a6)+,d0
    move.l    (a6)+,a1
    move.l    _RTBase,a6
    jsr    -$6C(a6)
    move.l    d0,$14(sp)
    move.l    (sp)+,a6
	rts
	CNOP	0,2

	XDEF	_rtSetWaitPointer
_rtSetWaitPointer
 move.l    a6,-(sp)
    move.l    $8(sp),a0
    move.l    _RTBase,a6
    jsr    -$72(a6)
    move.l    d0,$C(sp)
    move.l    (sp)+,a6
	rts
	CNOP	0,2

	XDEF	_rtGetVScreenSize
_rtGetVScreenSize
 movem.l    a2/a6,-(sp)
    lea    $C(sp),a6
    move.l    (a6)+,a2
    move.l    (a6)+,a1
    move.l    (a6)+,a0
    move.l    _RTBase,a6
    jsr    -$78(a6)
    move.l    d0,$18(sp)
    movem.l    (sp)+,a2/a6
	rts
	CNOP	0,2

	XDEF	_rtSetReqPosition
_rtSetReqPosition
 movem.l    a2/a6,-(sp)
    lea    $C(sp),a6
    move.l    (a6)+,a2
    move.l    (a6)+,a1
    move.l    (a6)+,a0
    move.l    (a6)+,d0
    move.l    _RTBase,a6
    jsr    -$7E(a6)
    move.l    d0,$1C(sp)
    movem.l    (sp)+,a2/a6
	rts
	CNOP	0,2

	XDEF	_rtSpread
_rtSpread
 movem.l    d3/a6,-(sp)
    lea    $C(sp),a6
    move.l    (a6)+,d3
    move.l    (a6)+,d2
    move.l    (a6)+,d1
    move.l    (a6)+,d0
    move.l    (a6)+,a1
    move.l    (a6)+,a0
    move.l    _RTBase,a6
    jsr    -$84(a6)
    move.l    d0,$24(sp)
    movem.l    (sp)+,d3/a6
	rts
	CNOP	0,2

	XDEF	_rtScreenToFrontSafely
_rtScreenToFrontSafely
 move.l    a6,-(sp)
    move.l    $8(sp),a0
    move.l    _RTBase,a6
    jsr    -$8A(a6)
    move.l    d0,$C(sp)
    move.l    (sp)+,a6
	rts
	CNOP	0,2

	XDEF	_rtScreenModeRequestA
_rtScreenModeRequestA
 movem.l    a3/a6,-(sp)
    lea    $C(sp),a6
    move.l    (a6)+,a0
    move.l    (a6)+,a3
    move.l    (a6)+,a1
    move.l    _RTBase,a6
    jsr    -$90(a6)
    move.l    d0,$18(sp)
    movem.l    (sp)+,a3/a6
	rts
	CNOP	0,2

	XDEF	_rtCloseWindowSafely
_rtCloseWindowSafely
 move.l    a6,-(sp)
    move.l    $8(sp),a0
    move.l    _RTBase,a6
    jsr    -$96(a6)
    move.l    d0,$C(sp)
    move.l    (sp)+,a6
	rts
	CNOP	0,2

	XDEF	_rtLockWindow
_rtLockWindow
 move.l    a6,-(sp)
    move.l    $8(sp),a0
    move.l    _RTBase,a6
    jsr    -$9C(a6)
    move.l    d0,$C(sp)
    move.l    (sp)+,a6
	rts
	CNOP	0,2

	XDEF	_rtUnlockWindow
_rtUnlockWindow
 move.l    a6,-(sp)
    lea    $8(sp),a6    
    move.l    (a6)+,a1
    move.l    (a6)+,a0
    move.l    _RTBase,a6
    jsr    -$A2(a6)
    move.l    d0,$10(sp)
    move.l    (sp)+,a6
	rts

	XREF	_ScreenToFront
	XREF	_FreeRaster
	XREF	_OpenLibrary
	XREF	_RemTask
	XREF	_DoIO
	XREF	_FreeMem
	XREF	_TypeOfMem
	XREF	_NewModifyProp
	XREF	_ObtainSemaphore
	XREF	_WindowToFront
	XREF	_ItemNum
	XREF	_InitStruct
	XREF	_BeginRefresh
	XREF	_MoveScreen
	XREF	_UnlockLayerRom
	XREF	_DrawBorder
	XREF	_Deallocate
	XREF	_GetDefPrefs
	XREF	_InitRastPort
	XREF	_Permit
	XREF	_AddSemaphore
	XREF	_UpfrontLayer
	XREF	_EndUpdate
	XREF	_Info
	XREF	_EndRefresh
	XREF	_DoubleClick
	XREF	_Enable
	XREF	_IsInteractive
	XREF	_CloseLibrary
	XREF	_RefreshGadgets
	XREF	_EndRequest
	XREF	_AddDevice
	XREF	_AddFont
	XREF	_SizeLayer
	XREF	_LockLayerInfo
	XREF	_SubNum
	XREF	_RemakeDisplay
	XREF	_SetRGB4CM
	XREF	_AddPort
	XREF	_LockLayer
	XREF	_FreeCopList
	XREF	_DupLock
	XREF	_FreeRemember
	XREF	_SetSoftStyle
	XREF	_LayersBase
	XREF	_IoErr
	XREF	_CopyMemQuick
	XREF	_DOSOutput
	XREF	_InitTmpRas
	XREF	_Cause
	XREF	_CreateDir
	XREF	_DeleteFile
	XREF	_ReleaseSemaphore
	XREF	_CloseFont
	XREF	_DOSOpen
	XREF	_AddTime
	XREF	_SetTaskPri
	XREF	_CloseScreen
	XREF	_WaitTOF
	XREF	_RemDevice
	XREF	_ClearScreen
	XREF	_ActivateWindow
	XREF	_MenuNum
	XREF	_UCopperListInit
	XREF	_AllocRaster
	XREF	_SumLibrary
	XREF	_Signal
	XREF	_ReleaseSemaphoreList
	XREF	_BeginUpdate
	XREF	_AddTask
	XREF	_ScreenToBack
	XREF	_SubTime
	XREF	_GText
	XREF	_ClearDMRequest
	XREF	_MoveLayerInFrontOf
	XREF	_FreeSysRequest
	XREF	_InstallClipRegion
	XREF	_CurrentTime
	XREF	_LockLayers
	XREF	_DateStamp
	XREF	_DOSInput
	XREF	_Delay
	XREF	_SizeWindow
	XREF	_CreateUpfrontLayer
	XREF	_Execute
	XREF	_AddGadget
	XREF	_LoadView
	XREF	_OpenScreen
	XREF	_SetDMRequest
	XREF	_BehindLayer
	XREF	_AddLibrary
	XREF	_Lock
	XREF	_CWait
	XREF	_ParentDir
	XREF	_RemoveGadget
	XREF	_ViewAddress
	XREF	_OffGadget
	XREF	_AskSoftStyle
	XREF	_SetComment
	XREF	_GetScreenData
	XREF	_CMove
	XREF	__CWAIT
	XREF	_CloseWorkbench
	XREF	_LoadRGB4
	XREF	_InitView
	XREF	_Insert
	XREF	_SetProtection
	XREF	_Allocate
	XREF	__CEND
	XREF	__CMOVE
	XREF	_InitBitMap
	XREF	_SetIntVector
	XREF	_WindowToBack
	XREF	_InitRequester
	XREF	_GetMsg
	XREF	_AllocEntry
	XREF	_TextLength
	XREF	_OpenFont
	XREF	_NewList
	XREF	_ScrollLayer
	XREF	_Enqueue
	XREF	_InitVPort
	XREF	_DOSRead
	XREF	_OnGadget
	XREF	_MoveWindow
	XREF	_FindPort
	XREF	_SuperState
	XREF	_RemSemaphore
	XREF	_UnLock
	XREF	_DisplayAlert
	XREF	_ReplyMsg
	XREF	_VBeamPos
	XREF	_RemTail
	XREF	_RTBase
	XREF	_UnlockIBase
	XREF	_SetPointer
	XREF	_ModifyProp
	XREF	_RemLibrary
	XREF	_SetWindowTitles
	XREF	_CBump
	XREF	_AutoRequest
	XREF	_OpenWorkBench
	XREF	_MakeLibrary
	XREF	_ActivateGadget
	XREF	_NewLayerInfo
	XREF	_ShowTitle
	XREF	_Request
	XREF	_GetColorMap
	XREF	_InitSemaphore
	XREF	_AllocAbs
	XREF	_SetRGB4
	XREF	_FindSemaphore
	XREF	_DeleteLayer
	XREF	_AddIntServer
	XREF	_LockLayerRom
	XREF	_AskFont
	XREF	_SetExcept
	XREF	_WBenchToBack
	XREF	_FindTask
	XREF	_RethinkDisplay
	XREF	_SetRast
	XREF	_SetFont
	XREF	_AttemptLockLayerRom
	XREF	_UnlockLayers
	XREF	_AllocMem
	XREF	_OffMenu
	XREF	_RefreshWindowFrame
	XREF	_SetSignal
	XREF	_SetPrefs
	XREF	_CloseWindow
	XREF	_SetFunction
	XREF	_CopyMem
	XREF	_MrgCop
	XREF	_WaitPort
	XREF	_ItemAddress
	XREF	_Examine
	XREF	_Procure
	XREF	_AbortIO
	XREF	_AllocTrap
	XREF	_AvailMem
	XREF	_FreeCprList
	XREF	_UtilityBase
	XREF	_AddMemList
	XREF	_WaitBOVP
	XREF	_TimerBase
	XREF	_FreeTrap
	XREF	_Rename
	XREF	_WindowLimits
	XREF	_AllocRemember
	XREF	_AddGList
	XREF	_WaitIO
	XREF	_SyncSBitMap
	XREF	_RemHead
	XREF	_DrawImage
	XREF	_CmpTime
	XREF	_FreeSignal
	XREF	_ReportMouse
	XREF	_OpenWindow
	XREF	_ClearPointer
	XREF	_UnlockLayerInfo
	XREF	_BeginIO
	XREF	_CloseDevice
	XREF	_FindName
	XREF	_FreeColorMap
	XREF	_CurrentDir
	XREF	_PrintIText
	XREF	_WhichLayer
	XREF	_PutMsg
	XREF	_AddTail
	XREF	_AttemptSemaphore
	XREF	_RemoveGList
	XREF	_ScrollRaster
	XREF	_Forbid
	XREF	_UserState
	XREF	_WBenchToFront
	XREF	_ClearMenuStrip
	XREF	_UnlockLayer
	XREF	__CINIT
	XREF	_Remove
	XREF	_ObtainSemaphoreList
	XREF	_MakeFunctions
	XREF	_DOSWrite
	XREF	_FreeEntry
	XREF	_MakeVPort
	XREF	_Vacate
	XREF	_IntuiTextLength
	XREF	_OpenDevice
	XREF	_MoveLayer
	XREF	_Wait
	XREF	_ClearEOL
	XREF	_RefreshGList
	XREF	_LockIBase
	XREF	_GetRGB4
	XREF	_SetMenuStrip
	XREF	_OnMenu
	XREF	_DisposeLayerInfo
	XREF	_CreateBehindLayer
	XREF	_SendIO
	XREF	_RemFont
	XREF	_GetPrefs
	XREF	_DOSExit
	XREF	_MakeScreen
	XREF	_RemPort
	XREF	_ScrollVPort
	XREF	_SwapBitsRastPortClipRect
	XREF	_BuildSysRequest
	XREF	_Seek
	XREF	_DOSClose
	XREF	_RemIntServer
	XREF	_WaitForChar
	XREF	_CopySBit
	XREF	_CheckIO
	XREF	_FreeVPortCopLists
	XREF	_Disable
	XREF	_AllocSignal
	XREF	_ViewPortAddress
	XREF	_AddHead
	XREF	_ModifyIDCMP
	XREF	_RASSIZE
	XREF	_DisplayBeep
	XREF	_ExNext
	XREF	_Input
	XREF	_CommandLine
	XREF	_IOResult
	XREF	_ExitAddr
	XREF	_Output
	XREF	_ExitCode
	XREF	_HeapError
	XREF	_ExitProc
	SECTION	PCQ_DATA,DATA
_p%1	dc.b	'timer.device',0,'dos.library',0,'reqtools.'
	dc.b	'library',0
	END
